Bug 52850 - Kernel Panic then Crash
Kernel Panic then Crash
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-29 19:58 EDT by ernesto morales
Modified: 2007-04-18 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-30 14:58:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ernesto morales 2001-08-29 19:58:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Using the kernel-smp-2.4.7-0.12.1.i686.rpm.  And I receive the following 
panic under high load.  Here is the following information that is 
displayed on the console before the machine reboots from the 

>Process mysqld (pid:30064, stackpage=d1f45000)
>Code: 81 7b 04 ed 1e af de 74 13 68 af 00 00 00 68 c0 be 29 c0 e8
>kernel BUG at /tmp/31322-i686/BUILD/kernel->2.4.7/linux/include/akm/rknl
>kth:11mp<4>/3invlaid operand:0000
>EIP: 0010:[<c011eba7>]
>Process klogd (pid:480, stackpage=f5fdd000)
>Code: 0f 0b 58 5a c6 05 f8 6b 2b c0 01 57 9d 5b 89 f0 5e 5f c3 8d

This machine is a high load machine.  This machine prior to upgrading the 
kernel was crashing approximately once a day, after a call to tech 
support, I switched my ethernet module from the e100.o module to the 
eepro100.o, via their suggestion.  After using this module my machine 
stays up for roughly a week and then crashes again.  I then called tech 
support back and it was suggested that I attempt to use the development 
kernel listed above, at the beginning of this message.  I installed the 
development kernel on 8.11.2001 and the server has crashed approximately 6 
times between now and then, unfortunately this is the only message I was 
able to get from the console.  Mysql seems to run fine for a few days and 
then begins spawning many mysql child processes until the load reaches a 
max if we restart the mysqld this will temporarily fix the problems and 
then mysql will run fine for a few days and then the child processes will 
start to creep up again.  I am not certain though that this is the source 
of the crash, due to problems with nic's earlier.  You can examine recent 
messages on my machine by visting the following urls.

real-time tail -4000 of zeus log with a grep -v for "running" and
"starting" to not show
the logging of the restarting of the virtual servers which are about
95% of the log.
info on php, mysql and kernel versions
real-time echo of dmesg
real-time tail -200 of mysql's hosts.err log
real-time tail -1000 of /var/log/messages
cpu info from cat /proc/cpuinfo

netstat -asl

netstat -a

If there is any other information I can provide please let me know, 

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:

Haven't tried to reproduce it, due to it reproducing itself frequently 
Comment 1 Arjan van de Ven 2001-08-30 04:17:54 EDT
It would be interesting if the successor of the 2.4.7 kernel you are running
will fix this:


has the 2.4.7-2.18 kernel which has a few eepro100 bugs fixed (and several other
bugs), and has survived a lot of stress-testing in our lab so far.

Note You need to log in before you can comment on or make changes to this bug.